﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Fluid-RadWindow.aspx.cs" Inherits="Fluid_RadWindow" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style>
        div.RadWindow.adaptiveRadWindow .rwCommandButton:before {
            /*increase close button size*/
            font-size: 2em;
        }

        div.RadWindow.adaptiveRadWindow .rwCommands {
            /*fix close button position now that its size is changed from the default*/
            margin-top: -1em;
        }

        div.RadWindow.adaptiveRadWindow .rwDialogButtons {
            /*move predefined dialogs buttons immediately after the text instead of at the bottom*/
            bottom: inherit;
            /*move the buttons closer to the center of the dialog*/
            margin: 0 30% 0 30%;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager runat="server" ID="sm1" />
        <asp:Button Text="test predefined dialog" ID="tstBtn" OnClientClick="radalert('warning!'); return false;" runat="server" />
        <asp:Button Text="test standard RadWindow" ID="tstbtn2" OnClientClick="radopen(); return false;" runat="server" />
        <telerik:RadWindowManager runat="server" ID="rwm1" RenderMode="Lightweight"></telerik:RadWindowManager>
        <script>
            function shouldMakeAdaptiveRadWindow() {
                //you can use other conditions. This example requires one of the following conditions to be met:
                // - touch-enabled device
                // - the server device detection determines this is a small screen
                // - the viewport width is small - the standard size for mobile phone viewed in landscape or a tablet viewed in portrait
                //you can also change the logic to AND so it requires all conditions to be met
                return Telerik.Web.BrowserFeatures.touchEvents || window.isSmallScreen || $telerik.$(window).width() < 768;
            }
            function makeAdaptiveRadWindow(rw) {
                if (shouldMakeAdaptiveRadWindow()) {
                    //leave only the Close interaction available. You can change this to suit your preferences
                    rw.set_behaviors(Telerik.Web.UI.WindowBehaviors.Close);
                    //hide the status bar
                    rw.set_visibleStatusbar(false);
                    //this check can let you exclude the predefined dialogs (RadAlert, RadConfirm, RadPrompt) if you don't want them maximized
                    //if (!sender._isPredefined) {
                    //maximize to take up all available real estate, and to resize with the browser (like orientation change)
                    rw.maximize();
                    //add a class for specific styling - the CSS above enlarges the buttons (works for the Lightweight RenderMode only)
                    $telerik.$(rw.get_popupElement()).addClass("adaptiveRadWindow");
                    //}
                }
            }

            //a function override for an internal RadWindow method that is always executed after a RadWindow is shown
            //this can spare you from attaching the OnClientShow handler to every instance
            //so you can extract the logic without dependencies in an external file
            //just make sure it is after the script manager, preferably at the end of the form
            if (Telerik && Telerik.Web && Telerik.Web.UI && Telerik.Web.UI.RadWindow) {
                var oldAfterShow = Telerik.Web.UI.RadWindow.prototype._afterShow;
                Telerik.Web.UI.RadWindow.prototype._afterShow = function () {
                    oldAfterShow.call(this);
                    makeAdaptiveRadWindow(this);
                }
            }
        </script>
    </form>
</body>
</html>
